Subject: Re: linux-next: Fixes tag needs some work in the block tree

From: Jens Axboe <[email-masked]>
Date: Fri, 26 Jun 2020 19:32:15 -0600

On 6/26/20 5:07 PM, Stephen Rothwell wrote:
> Hi all,
> 
> In commit
> 
>   cd664b0e35cb ("io_uring: fix hanging iopoll in case of -EAGAIN")
> 
> Fixes tag
> 
>   Fixes: bbde017a32b3 ("io_uring: add memory barrier to synchronize
> 
> has these problem(s):
> 
>   - Subject has leading but no trailing parentheses
>   - Subject has leading but no trailing quotes
> 
> Please do not split Fixes tags over more than one line.

Gah, that's b4 messing it up. I've actually seen this before, but
I caught it. If you look at the actual commit, this is what the b4
output ends up being for the fixes line:

[snip]
io_kiocb's result and iopoll_completed")

Fixes: bbde017a32b3 ("io_uring: add memory barrier to synchronize

even though it's correct in the email. I'm guessing some issue having to
do with the longer line?

CC Konstantin.

-- 
Jens Axboe